/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package de.nplusc.iZc.MazeGame.cells;

import de.nplusc.iZc.MazeGame.Objects.Player;
import java.util.Map;

/**
 *
 * @author LH
 */
public class NoteCell extends EmptyCell
{

    public NoteCell(Map<Integer, boolean[]> pexits, Map<Integer, boolean[]> pentrances)
    {
        super(pexits, pentrances,0);
    }

    public NoteCell()
    {
    }

    @Override
    public boolean requiresFOV()
    {
        return false; //wird für Labyrinthrandnotitzen benutzt um diese immer zu zeigen
    }
    @Override
    public boolean canEnter(int direction,int layer,Player p)
    {
        return false; //NoteCells liegen immer ausserhalb des labyrinths; innerhalb sind sie anders realisiert
    }  
}
